CONTAINER-UPDATE(1)

NAME
container-update - Update the packages installed in a container

SYNOPSIS
container update ['OPTIONS']
cnt u ['OPTIONS']

DESCRIPTION

The container update command updates packages installed in a container.

OPTIONS

The following container update options are available:

    -n, --name='NAME':
        Specify container name. Specifying 'ALL' will start all stopped container.

    -f, --full-upgrade:
        Runs an additional 'apt full-upgrade' after 'apt upgrade'.

    -i, --interactive:
        Prompt before every container update.

    -r, --autoremove:
        Runs an additional 'apt autoremove' after 'apt upgrade'.

    -p, --purge:
        Passing '--purge' to 'apt autoremove'.

    -y|--yes:
        Passing 'yes' to all questions asked by the package manager.

EXAMPLES

Update example.net container (apt update && apt upgrade):
        sudo container update -n example.net

Update example.net container without asking questions (apt update && apt --yes upgrade):
        sudo container update -n example.net -y

Full update of example.net container without asking questions (apt update && apt --yes upgrade && apt --yes full-upgrade):
        sudo container update -n example.net -f -y

Full update of all container on the host, with asking questions and purging unused packages (apt update && apt upgrade && apt full-upgrade && apt autoremove):
        sudo container update -n ALL -f -r -p -y

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage ( <https://open-infrastructure.net> ).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List < <software@lists.open-infrastructure.net> >.

Debian specific bugs can also be reported in the Debian Bug Tracking System ( <https://bugs.debian.org> ).

AUTHORS

compute-tools were written by Daniel Baumann < <daniel.baumann@open-infrastructure.net> > and others.